Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.activator
Class NamespaceHandlerActivator

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.activator.NamespaceHandlerActivator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

Direct Known Subclasses:
  BlueprintNamespaceHandlerActivator

    public class NamespaceHandlerActivator

extends Object
implements org.osgi.framework.BundleActivator

Author:
  Bill Gallagher, Andy Piper, Hal Hildebrand, Adrian Colyer, Costin Leau, Olaf Otto

Constructor Summary
`NamespaceHandlerActivator()`

Method Summary
`protected String` | `getManagedBundleExtenderVersionHeader()`
`protected boolean` | `handlerBundleMatchesExtenderVersion(org.osgi.framework.Bundle bundle)` Utility method that does extender range version check and appropriate logging.
`protected void` | `initNamespaceHandlers(org.osgi.framework.BundleContext extenderBundleContext)`
`void` | `maybeAddNamespaceHandlerFor(org.osgi.framework.Bundle bundle, boolean isLazy)`
`void` | `maybeRemoveNameSpaceHandlerFor(org.osgi.framework.Bundle bundle)`
`void` | `start(org.osgi.framework.BundleContext extenderBundleContext)`
`void` | `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceHandlerActivator

    public NamespaceHandlerActivator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext extenderBundleContext)

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### getManagedBundleExtenderVersionHeader

    protected String getManagedBundleExtenderVersionHeader()

### initNamespaceHandlers

    protected void initNamespaceHandlers(org.osgi.framework.BundleContext extenderBundleContext)

### maybeAddNamespaceHandlerFor

    public void maybeAddNamespaceHandlerFor(org.osgi.framework.Bundle bundle,
                                            boolean isLazy)

### maybeRemoveNameSpaceHandlerFor

    public void maybeRemoveNameSpaceHandlerFor(org.osgi.framework.Bundle bundle)

### handlerBundleMatchesExtenderVersion

    protected boolean handlerBundleMatchesExtenderVersion(org.osgi.framework.Bundle bundle)

  Utility method that does extender range version check and appropriate logging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.